;;; ccs-jisx0201-latin.el --- Mapping table for JIS X 0201-Latin.

;; Copyright (C) 1999 Electrotechnical Laboratory, JAPAN.
;; Licensed to the Free Software Foundation.

;; Author: MORIOKA Tomohiko <tomo@m17n.org>
;; Keywords: coded character set

;; This file is part of UTF-2000.

;; UTF-2000 is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; UTF-2000 is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with UTF-2000; see the file COPYING.  If not, write to the
;; Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;; Boston, MA 02111-1307, USA.

;;; Code:

(set-charset-mapping-table
 'latin-jisx0201
 [?\u0021	; 0x21	EXCLAMATION MARK
  ?\u0022	; 0x22	QUOTATION MARK
  ?\u0023	; 0x23	NUMBER SIGN
  ?\u0024	; 0x24	DOLLAR SIGN
  ?\u0025	; 0x25	PERCENT SIGN
  ?\u0026	; 0x26	AMPERSAND
  ?\u0027	; 0x27	APOSTROPHE
  ?\u0028	; 0x28	LEFT PARENTHESIS
  ?\u0029	; 0x29	RIGHT PARENTHESIS
  ?\u002A	; 0x2A	ASTERISK
  ?\u002B	; 0x2B	PLUS SIGN
  ?\u002C	; 0x2C	COMMA
  ?\u002D	; 0x2D	HYPHEN-MINUS
  ?\u002E	; 0x2E	FULL STOP
  ?\u002F	; 0x2F	SOLIDUS
  ?\u0030	; 0x30	DIGIT ZERO
  ?\u0031	; 0x31	DIGIT ONE
  ?\u0032	; 0x32	DIGIT TWO
  ?\u0033	; 0x33	DIGIT THREE
  ?\u0034	; 0x34	DIGIT FOUR
  ?\u0035	; 0x35	DIGIT FIVE
  ?\u0036	; 0x36	DIGIT SIX
  ?\u0037	; 0x37	DIGIT SEVEN
  ?\u0038	; 0x38	DIGIT EIGHT
  ?\u0039	; 0x39	DIGIT NINE
  ?\u003A	; 0x3A	COLON
  ?\u003B	; 0x3B	SEMICOLON
  ?\u003C	; 0x3C	LESS-THAN SIGN
  ?\u003D	; 0x3D	EQUALS SIGN
  ?\u003E	; 0x3E	GREATER-THAN SIGN
  ?\u003F	; 0x3F	QUESTION MARK
  ?\u0040	; 0x40	COMMERCIAL AT
  ?\u0041	; 0x41	LATIN CAPITAL LETTER A
  ?\u0042	; 0x42	LATIN CAPITAL LETTER B
  ?\u0043	; 0x43	LATIN CAPITAL LETTER C
  ?\u0044	; 0x44	LATIN CAPITAL LETTER D
  ?\u0045	; 0x45	LATIN CAPITAL LETTER E
  ?\u0046	; 0x46	LATIN CAPITAL LETTER F
  ?\u0047	; 0x47	LATIN CAPITAL LETTER G
  ?\u0048	; 0x48	LATIN CAPITAL LETTER H
  ?\u0049	; 0x49	LATIN CAPITAL LETTER I
  ?\u004A	; 0x4A	LATIN CAPITAL LETTER J
  ?\u004B	; 0x4B	LATIN CAPITAL LETTER K
  ?\u004C	; 0x4C	LATIN CAPITAL LETTER L
  ?\u004D	; 0x4D	LATIN CAPITAL LETTER M
  ?\u004E	; 0x4E	LATIN CAPITAL LETTER N
  ?\u004F	; 0x4F	LATIN CAPITAL LETTER O
  ?\u0050	; 0x50	LATIN CAPITAL LETTER P
  ?\u0051	; 0x51	LATIN CAPITAL LETTER Q
  ?\u0052	; 0x52	LATIN CAPITAL LETTER R
  ?\u0053	; 0x53	LATIN CAPITAL LETTER S
  ?\u0054	; 0x54	LATIN CAPITAL LETTER T
  ?\u0055	; 0x55	LATIN CAPITAL LETTER U
  ?\u0056	; 0x56	LATIN CAPITAL LETTER V
  ?\u0057	; 0x57	LATIN CAPITAL LETTER W
  ?\u0058	; 0x58	LATIN CAPITAL LETTER X
  ?\u0059	; 0x59	LATIN CAPITAL LETTER Y
  ?\u005A	; 0x5A	LATIN CAPITAL LETTER Z
  ?\u005B	; 0x5B	LEFT SQUARE BRACKET
  ?\u00A5	; 0x5C	YEN SIGN
  ?\u005D	; 0x5D	RIGHT SQUARE BRACKET
  ?\u005E	; 0x5E	CIRCUMFLEX ACCENT
  ?\u005F	; 0x5F	LOW LINE
  ?\u0060	; 0x60	GRAVE ACCENT
  ?\u0061	; 0x61	LATIN SMALL LETTER A
  ?\u0062	; 0x62	LATIN SMALL LETTER B
  ?\u0063	; 0x63	LATIN SMALL LETTER C
  ?\u0064	; 0x64	LATIN SMALL LETTER D
  ?\u0065	; 0x65	LATIN SMALL LETTER E
  ?\u0066	; 0x66	LATIN SMALL LETTER F
  ?\u0067	; 0x67	LATIN SMALL LETTER G
  ?\u0068	; 0x68	LATIN SMALL LETTER H
  ?\u0069	; 0x69	LATIN SMALL LETTER I
  ?\u006A	; 0x6A	LATIN SMALL LETTER J
  ?\u006B	; 0x6B	LATIN SMALL LETTER K
  ?\u006C	; 0x6C	LATIN SMALL LETTER L
  ?\u006D	; 0x6D	LATIN SMALL LETTER M
  ?\u006E	; 0x6E	LATIN SMALL LETTER N
  ?\u006F	; 0x6F	LATIN SMALL LETTER O
  ?\u0070	; 0x70	LATIN SMALL LETTER P
  ?\u0071	; 0x71	LATIN SMALL LETTER Q
  ?\u0072	; 0x72	LATIN SMALL LETTER R
  ?\u0073	; 0x73	LATIN SMALL LETTER S
  ?\u0074	; 0x74	LATIN SMALL LETTER T
  ?\u0075	; 0x75	LATIN SMALL LETTER U
  ?\u0076	; 0x76	LATIN SMALL LETTER V
  ?\u0077	; 0x77	LATIN SMALL LETTER W
  ?\u0078	; 0x78	LATIN SMALL LETTER X
  ?\u0079	; 0x79	LATIN SMALL LETTER Y
  ?\u007A	; 0x7A	LATIN SMALL LETTER Z
  ?\u007B	; 0x7B	LEFT CURLY BRACKET
  ?\u007C	; 0x7C	VERTICAL LINE
  ?\u007D	; 0x7D	RIGHT CURLY BRACKET
  ?\u203E	; 0x7E	OVERLINE
  ])

;;; ccs-jisx0201-latin.el ends here
